### Method

# Gtk Snapshot push_isolation

since: 4.22

#### Declaration [src]

    void
    gtk_snapshot_push_isolation (
      GtkSnapshot* snapshot,
      GskIsolation features
    )

#### Description [src]

Isolates the following drawing operations from previous ones.

You can express “everything but these flags” in a forward compatible way by using bit math: `GSK_ISOLATION_ALL & ~(GSK_ISOLATION_BACKGROUND | GSK_ISOLATION_COPY_PASTE)` will isolate everything but background and copy/paste.

For what isolation features exist, see `GskIsolation`.

Content is isolated until the next call to `gtk_snapshot_pop()`.

Available since: 4.22

#### Parameters

`features`

  Type: `GskIsolation`

  Features that are isolated.